<?php
/*
Odyssey basic module file
File must always be in module folder
Do not remove the following system code block
********************************   Start   ************************************
*/

defined('CMS') or die("This file cannot run this way!");
global $library, $safeRequest, $langID;
foreach($library as $class){global ${$class};}
foreach($safeRequest as $key=>$value){${$key} = $value;} // import the filtered request variables to template scope
$language->setCurrentLanguage($langID);
$langID = $language->getCurrentLanguage(); // filter any invalid langID pass to REQUEST
if($this) $p = $this->getTemplatePath(); // use the $p shortcut to refer to the template path
$moduleParameters = $system->loadModuleParameters($currentModuleID);
$isAdminPath = preg_match('/\/admin\//', $_SERVER['PHP_SELF']);
$mp = ($system->isSystemProtected("extension", $system->getExtensionID($mn), $isAdminPath)) ? $this->modulesPath.$mn."/" : $p.$this->modulesPath.$mn."/"; // $mp stands for module path
$mp = $this->adminPath . $mp;
$sufixID = "-".$currentModuleID; // id sufix for this module's div
@include($mp . "/versioning.php");
/*
********************************   End   ************************************
*/
?>